using System;
using System.Collections.Generic;
using System.Text;

namespace Rainbird.AppServer.API
{
    /// <summary>
    /// Definiert Ereignisargumente fr Sitzungs-Ereignisse.
    /// </summary>
    [Serializable]
    public class SessionEventArgs : EventArgs
    {
        // Nachrichtentext
        private string _message = string.Empty;

        /// <summary>
        /// Konstruktor.
        /// </summary>
        /// <param name="message">Nachrichtentext</param>
        public SessionEventArgs(string message)
        { 
            // Wert bernehmen
            _message = message;
        }

        /// <summary>
        /// Gibt den Nachrichtentext zurck.
        /// </summary>
        public string Message
        {
            get { return _message; }
        }
    }
}
