-- Datenbank erzeugen
CREATE DATABASE [NTierExample] ON  PRIMARY 
( NAME = N'NTierExample', FILENAME = N'c:\Programme\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\NTierExample.mdf' , SIZE = 3072KB , FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'NTierExample_log', FILENAME = N'c:\Programme\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\NTierExample_log.ldf' , SIZE = 1024KB , FILEGROWTH = 10%)
GO
EXEC dbo.sp_dbcmptlevel @dbname=N'NTierExample', @new_cmptlevel=90
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [NTierExample].[dbo].[sp_fulltext_database] @action = 'disable'
end
GO
ALTER DATABASE [NTierExample] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [NTierExample] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [NTierExample] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [NTierExample] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [NTierExample] SET ARITHABORT OFF 
GO
ALTER DATABASE [NTierExample] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [NTierExample] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [NTierExample] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [NTierExample] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [NTierExample] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [NTierExample] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [NTierExample] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [NTierExample] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [NTierExample] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [NTierExample] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [NTierExample] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [NTierExample] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [NTierExample] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [NTierExample] SET  READ_WRITE 
GO
ALTER DATABASE [NTierExample] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [NTierExample] SET  MULTI_USER 
GO
ALTER DATABASE [NTierExample] SET PAGE_VERIFY CHECKSUM  
GO
USE [NTierExample]
GO
IF NOT EXISTS (SELECT name FROM sys.filegroups WHERE is_default=1 AND name = N'PRIMARY') ALTER DATABASE [NTierExample] MODIFY FILEGROUP [PRIMARY] DEFAULT
GO